PowerVmSelectionPolicy (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerVmSelectionPolicy

- java.lang.Object
- - org.cloudbus.cloudsim.power.PowerVmSelectionPolicy

- Direct Known Subclasses:
    PowerVmSelectionPolicyMaximumCorrelation, PowerVmSelectionPolicyMinimumMigrationTime, PowerVmSelectionPolicyMinimumUtilization, PowerVmSelectionPolicyRandomSelection

      public abstract class PowerVmSelectionPolicy
      extends Object

  The class of an abstract VM selection policy. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerVmSelectionPolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<PowerVm>` | `getMigratableVms(PowerHost host)` Gets the migratable vms.
    `abstract Vm` | `getVmToMigrate(PowerHost host)` Gets the vms to migrate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerVmSelectionPolicy

          public PowerVmSelectionPolicy()

  - ### Method Detail

    - #### getVmToMigrate

          public abstract Vm getVmToMigrate(PowerHost host)

      Gets the vms to migrate.
      Parameters:
        `host` - the host
      Returns:
        the vms to migrate

    - #### getMigratableVms

          protected List<PowerVm> getMigratableVms(PowerHost host)

      Gets the migratable vms.
      Parameters:
        `host` - the host
      Returns:
        the migratable vms

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.